
var baseUrl = "https://api.mockplus.cn/v3";

function getLastVersion(localVersion) {
	var path = text.base_api_url + "software/checkNewerVersionForSketchPlugin?version="+localVersion;
	var responseStr = get(path);
	return filterNetError(responseStr);
}

function login(payload) {
	var path = text.base_api_url + "user/login";
	var responseStr = post(path, payload);
	log(responseStr);
	return filterNetError(responseStr);
}

function regist(payload) {
	var path = text.base_api_url + "user/register";
	var responseStr = post(path, payload);
	log(responseStr);
	return filterNetError(responseStr);
}

function upload(filePath) {
	
	var kBoundary = "---------------------------198596859919834017191791522499";
	var u = text.base_api_url + "sync/uploadfromsketch?Token=" + _getValueForKey("sid");
	var url = [NSURL URLWithString:u];
	var request = NSMutableURLRequest.alloc().init();
	request.setTimeoutInterval(10);
	request.setHTTPMethod('POST');
	request.setURL(url);
	var type = [NSString stringWithFormat:"multipart/form-data; boundary=" + kBoundary];
	request.setValue_forHTTPHeaderField(type, 'Content-Type');
	request.setValue_forHTTPHeaderField('test', 'X-Auth-Token');

	var data = [NSMutableData data];

	var beginStr = "\r\n--" + kBoundary + "\r\n";
    var fileStrM = [[NSMutableString alloc] initWithString:beginStr];
    [fileStrM appendString:"Content-Disposition: form-data; name=\"file\"; filename=\"123\"\r\n"];
    [fileStrM appendString:"Content-Type: application/octet-stream\r\n\r\n"];
    [data appendData:[fileStrM dataUsingEncoding:NSUTF8StringEncoding]];
    var fileData = [NSData dataWithContentsOfFile:filePath];
    [data appendData:fileData];

	var titleStrM = [[NSMutableString alloc] initWithString:beginStr];
	[titleStrM appendString:"Content-Disposition: form-data; name=\"title\"\r\n\r\n"];
	[titleStrM appendString:"test\r\n"];
	[data appendData:[titleStrM dataUsingEncoding:NSUTF8StringEncoding]];

	var messageStrM = [[NSMutableString alloc] initWithString:beginStr];
	[messageStrM appendString:"Content-Disposition: form-data; name=\"message\"\r\n\r\n" ];
	[messageStrM appendString:"hello\r\n"];
   	[data appendData:[messageStrM dataUsingEncoding:NSUTF8StringEncoding]];
    
    var endStrM = [NSString stringWithFormat:"\r\n--" + kBoundary + "--"];
    [data appendData:[endStrM dataUsingEncoding:NSUTF8StringEncoding]];
    
	request.setHTTPBody(data);

    var error = MOPointer.alloc().init();
	var response = MOPointer.alloc().init();
	log("=================");
	var d = NSURLConnection.sendSynchronousRequest_returningResponse_error(request, response, error);
	if(!d) {
		log("false value");
	}
	
	var string = NSString.alloc().initWithData_encoding(d, NSUTF8StringEncoding);
	log(string);
	return filterNetError(string);
}

function validSid(sid) {
	return {code: 0};
	var path = "https://api.mockplus.cn/v4/sync/uploadfromsketch?Token=" + sid;
	var responseStr = post(path, null);
	log(responseStr);
	return filterNetError(responseStr);
}

function filterNetError(responseStr) {
	var response = {};
	try {
		response = JSON.parse(responseStr);
	} catch(e) {
		log("网络请求异常");
		response.code = "-1";
		response.message = "网络请求异常";
	}
	return response;
}


function get(path) {
	
	var request = NSMutableURLRequest.alloc().init();
	request.setTimeoutInterval(5);
	request.setHTTPMethod('GET');
	request.setURL(NSURL.URLWithString(path));
	request.setValue_forHTTPHeaderField('application/json', 'Content-Type');
	request.setValue_forHTTPHeaderField('test', 'X-Auth-Token');

	var error = MOPointer.alloc().init();
	var response = MOPointer.alloc().init();
	var data = NSURLConnection.sendSynchronousRequest_returningResponse_error(request, response, error);
	var string = NSString.alloc().initWithData_encoding(data, NSUTF8StringEncoding);
	return string;
}

function post(path, payload) {
	var request = NSMutableURLRequest.alloc().init();
	request.setTimeoutInterval(5);
	request.setHTTPMethod('POST');
	request.setURL(NSURL.URLWithString(path));
	request.setValue_forHTTPHeaderField('application/json', 'Content-Type');
	request.setValue_forHTTPHeaderField('test', 'X-Auth-Token');
	request.setHTTPBody(payload);

	var error = MOPointer.alloc().init();
	var response = MOPointer.alloc().init();

	var data = NSURLConnection.sendSynchronousRequest_returningResponse_error(request, response, error);
	var string = NSString.alloc().initWithData_encoding(data, NSUTF8StringEncoding);

	return string;
}
