function createEmptyTempFolder(){
  var tmpPath = getTempPath();
  var directoryURL = NSURL.fileURLWithPath_isDirectory(tmpPath,true);

  if(NSFileManager.defaultManager().createDirectoryAtURL_withIntermediateDirectories_attributes_error(directoryURL,true,null,null))
  return directoryURL;
  return "";
}

function getTempPath() {
  var processUniqueID =  NSProcessInfo.processInfo().globallyUniqueString();
  var tmpPath = NSTemporaryDirectory().stringByAppendingPathComponent(processUniqueID);
  return tmpPath;
}

function removeFolderContents(folderURL){
  var filePath = folderURL.path();
  if(NSFileManager.defaultManager().fileExistsAtPath(filePath)){
    var files = NSFileManager.defaultManager().contentsOfDirectoryAtPath_error(filePath,null);
    for (var i=0;i<files.length;i++){
        var file = files[i];
        NSFileManager.defaultManager().removeItemAtPath_error(filePath.stringByAppendingPathComponent(file),null);
    }
  }
}

function removeFolder(folderURL){
  var filePath = folderURL.path();
  if(NSFileManager.defaultManager().fileExistsAtPath(filePath))
    NSFileManager.defaultManager().removeItemAtURL_error(folderURL,null);
}

function unzipMpFile(folderURL){
  var mpFile = sketchApp.resourceNamed("base.zip");
  var unzipTask = NSTask.alloc().init();
  unzipTask.setLaunchPath("/usr/bin/unzip");
  unzipTask.setCurrentDirectoryPath(folderURL.path());
  var arguments = NSArray.arrayWithObject(mpFile);
  unzipTask.setArguments(arguments);
  unzipTask.launch();
  unzipTask.waitUntilExit();
}

function zipMpFile(folderURL,filePath){
  if(NSFileManager.defaultManager().fileExistsAtPath(filePath)){
    NSFileManager.defaultManager().removeItemAtPath_error(filePath,null);
  }
  var zipTask = NSTask.alloc().init();
  zipTask.setLaunchPath("/usr/bin/zip");
  zipTask.setCurrentDirectoryPath(folderURL.path());
  var arguments = NSArray.arrayWithArray(["-r", filePath, "./"]);
  zipTask.setArguments(arguments);
  zipTask.launch();
  zipTask.waitUntilExit();
}

function writeXMLDoc(xmlDoc,xmlPath){
  var xmlData = xmlDoc.XMLDataWithOptions(NSXMLNodePrettyPrint);
  if(xmlData.writeToFile_options_error(xmlPath,NSDataWritingAtomic,null)){
     log("write XML finished"+xmlPath);
  }else{
     log("write XML failed"+xmlPath);
  }
}

function openMpFile(folderURL, filePath) {
  if(NSFileManager.defaultManager().fileExistsAtPath(filePath)){
    var openFileTask = NSTask.alloc().init();
    openFileTask.setLaunchPath("/usr/bin/open");
    openFileTask.setCurrentDirectoryPath(folderURL.path());
    var arguments = NSArray.arrayWithObjects("-R", filePath);
    openFileTask.setArguments(arguments);
    openFileTask.launch();
    openFileTask.waitUntilExit();
  }
  
}
